package ch.std.jumpstart.rest;

import java.util.List;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import ch.std.jumpstart.jpa.City;
import ch.std.jumpstart.repositories.CityRepository;

@RestController
public class CityAutoJpaCompleteController {
	private CityRepository cityRepository;

	public CityAutoJpaCompleteController(CityRepository cityRepository) {
		this.cityRepository = cityRepository;
	}

	@GetMapping("/auto/citiesjpa")
	public City[] autoComplete(@RequestParam(value = "value") String value) {
		List<City> cities = (List<City>) cityRepository.findByNameLike(value);
		return cities.toArray(new City[0]);
	}
}